--exec [C6Mart].[Gestione_EMAIL_Inviate] @Email_Id=7,@DataInvio='2008-11-17 18:10:43:603'
CREATE procedure [C6Mart].[GESTIONE_UPDATE_EMAIL_INVIATE]
	@Email_Id int,
	@DataInvio datetime
AS
BEGIN
	SET NOCOUNT ON;
		INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'GESTIONE_UPDATE_EMAIL_INVIATE',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	UPDATE [C6Mart].GESTIONE_EMAIL
	SET Data_Invio = @DataInvio,
	    Inviata = 'S'
	WHERE Email_Id = @Email_Id
	RETURN @@ROWCOUNT
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'UPDATE',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'GESTIONE_UPDATE_EMAIL_INVIATE' --AND
		--Inizio = (
		--	SELECT
		--		MAX(Inizio)
		--	FROM
		--		LOG_ESECUZIONE
		--	WHERE
		--		Nome = 'GESTIONE_UPDATE_EMAIL_INVIATE'
		--)
END